diff --recursive -P -C3 slashem-0.0.7E7F2/dat/gehennom.des slethe-0.0.7E7F2/dat/gehennom.des
*** slashem-0.0.7E7F2/dat/gehennom.des	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/dat/gehennom.des	2006-05-28 15:31:15.690997792 +0200
***************
*** 368,625 ****
  OBJECT:random,random,random
  OBJECT:random,random,random
  OBJECT:random,random,random
  # The resident nasty
! MONSTER:'&',"Orcus",(33,15)
  # And its preferred companions
! MONSTER:'Z',"human zombie",(32,15)
! MONSTER:' ',"shade",(32,14)
! MONSTER:' ',"shade",(32,16)
! MONSTER:'V',"vampire",(35,16)
! MONSTER:'V',"vampire",(35,14)
! MONSTER:'V',"vampire lord",(36,14)
! MONSTER:'V',"vampire lord",(36,15)
  # Randomly placed companions
  MONSTER:'Z',"skeleton",random
  MONSTER:'Z',"skeleton",random
  MONSTER:'Z',"skeleton",random
  MONSTER:'Z',"skeleton",random
! MONSTER:'Z',"skeleton",random
  MONSTER:' ',"shade",random
  MONSTER:' ',"shade",random
  MONSTER:' ',"shade",random
  MONSTER:' ',"shade",random
  MONSTER:'Z',"giant zombie",random
  MONSTER:'Z',"giant zombie",random
  MONSTER:'Z',"giant zombie",random
  MONSTER:'Z',"ettin zombie",random
  MONSTER:'Z',"ettin zombie",random
  MONSTER:'Z',"ettin zombie",random
  MONSTER:'Z',"human zombie",random
  MONSTER:'Z',"human zombie",random
  MONSTER:'Z',"human zombie",random
  MONSTER:'V',"vampire",random
  MONSTER:'V',"vampire",random
  MONSTER:'V',"vampire",random
  MONSTER:'V',"vampire lord",random
  MONSTER:'V',"vampire lord",random
  # A few more for the party
  MONSTER:random,random,random
  MONSTER:random,random,random
  MONSTER:random,random,random
! MONSTER:random,random,random
! MONSTER:random,random,random
  #
! # The Asmodeus Level
  #
  MAZE:"asmodeus",random
! FLAGS: noteleport
  # First part
  GEOMETRY:half-left,center
  MAP
! ---------------------
! |.............|.....|
! |.............S.....|
! |---+------------...|
! |.....|.........|-+--
! |..---|.........|....
! |..|..S.........|....
! |..|..|.........|....
! |..|..|.........|-+--
! |..|..-----------...|
! |..S..........|.....|
! ---------------------
! ENDMAP
! STAIR:levregion(01,00,6,20),levregion(6,1,70,16),up
! BRANCH:levregion(01,00,6,20),levregion(6,1,70,16)
! TELEPORT_REGION:levregion(01,00,6,20),levregion(6,1,70,16)
! 
  # Doors
! DOOR:closed,(04,03)
! DOOR:locked,(18,04)
! DOOR:closed,(18,08)
! #
! STAIR:(13,07),down
  # Non diggable walls
! NON_DIGGABLE:(00,00,20,11)
! # Entire main area
! REGION:(01,01,20,10),unlit,"ordinary"
  # The fellow in residence
! MONSTER:'&',"Asmodeus",(12,07)
  # Some random weapons and armor.
  OBJECT:'[',random,random
  OBJECT:'[',random,random
  OBJECT:')',random,random
  OBJECT:')',random,random
- OBJECT:'*',random,random
  OBJECT:'!',random,random
  OBJECT:'!',random,random
  OBJECT:'?',random,random
  OBJECT:'?',random,random
  OBJECT:'?',random,random
! # Some traps.
! TRAP:"spiked pit", (05,02)
! TRAP:"fire", (08,06)
! TRAP:"sleep gas", random
! TRAP:"anti magic", random
! TRAP:"fire", random
! TRAP:"magic", random
! TRAP:"magic", random
! # Random monsters.
! MONSTER:' ',"ghost",(11,07)
! MONSTER:'&',"horned devil",(10,05)
! MONSTER:'L',random,random
! # Some Vampires for good measure
! MONSTER:'V',random,random
! MONSTER:'V',random,random
! MONSTER:'V',random,random
! # Second part
! GEOMETRY:half-right,center
! MAP
! ---------------------------------
! ................................|
! ................................+
! ................................|
! ---------------------------------
! ENDMAP
! MAZEWALK:(32,02),east
! # Non diggable walls
! NON_DIGGABLE:(00,00,32,04)
! DOOR:closed,(32,02)
! MONSTER:'&',random,random
! MONSTER:'&',random,random
! MONSTER:'&',random,random
! TRAP:"anti magic", random
! TRAP:"fire", random
! TRAP:"magic", random
  
  #
! # The Baalzebub level
  #
  MAZE:"baalz",random
! FLAGS: noteleport
! GEOMETRY:right,center
  MAP
! -------------------------------------------------
! |                    ---               ----      
! |          ----      |   ------------  |         
! | ------      |  --------|..........|---         
! | |....|  -------|...........--------------      
! ---....|--|..................S............|----  
! ....--....S..----------------|............S...|  
! ---....|--|..................|............|----  
! | |....|  -------|...........-----S--------      
! | ------      |  --------|..........|---         
! |          ----     |    ------------  |         
! |                   ---                ----      
! -------------------------------------------------
! ENDMAP
! STAIR:levregion(01,00,15,20),levregion(15,1,70,16),up
! BRANCH:levregion(01,00,15,20),levregion(15,1,70,16)
! TELEPORT_REGION:levregion(01,00,15,20),levregion(15,1,70,16)
! NON_DIGGABLE:(00,00,46,12)
! MAZEWALK:(00,06),west
! STAIR:(44,06),down
  # The fellow in residence
! MONSTER:'&',"Baalzebub",(35,06)
  # Some random weapons and armor.
  OBJECT:'[',random,random
  OBJECT:'[',random,random
  OBJECT:')',random,random
  OBJECT:')',random,random
  OBJECT:'*',random,random
  OBJECT:'!',random,random
  OBJECT:'!',random,random
  OBJECT:'?',random,random
  OBJECT:'?',random,random
  OBJECT:'?',random,random
  # Some traps.
  TRAP:"spiked pit", random
  TRAP:"fire", random
  TRAP:"sleep gas", random
  TRAP:"anti magic", random
! TRAP:"fire", random
  TRAP:"magic", random
  TRAP:"magic", random
  # Random monsters.
! MONSTER:' ',"ghost",(37,07)
! MONSTER:'&',"horned devil",(32,05)
! MONSTER:'&',"barbed devil",(38,07)
  MONSTER:'L',random,random
  # Some Vampires for good measure
  MONSTER:'V',random,random
  MONSTER:'V',random,random
  MONSTER:'V',random,random
  
! # [Tom]
  # The Yeenoghu level
  #
  MAZE:"yeenoghu",random
! FLAGS: noteleport
! GEOMETRY:right,center
  MAP
! -------------------------------------------------
! | ---------|  |----------|                       
! | |....S...|--|......|...------------            
! | |....|...|  |......-...S..........|           
! | |....|-------..........|...------S-------      
! ---....|--|..............|...|............|----  
! ..........S..............|---|.....\......S...|  
! ---....|--|..............|...|............|----  
! | |....|-------..........|...--------------      
! | |....|...|  |......-...S..........|            
! | |....S...|--|......|...------------            
! | ---------|  |----------|                       
! -------------------------------------------------
! ENDMAP
! STAIR:levregion(01,00,15,20),levregion(15,1,70,16),up
! BRANCH:levregion(01,00,15,20),levregion(15,1,70,16)
! TELEPORT_REGION:levregion(01,00,15,20),levregion(15,1,70,16)
! NON_DIGGABLE:(00,00,46,12)
! MAZEWALK:(00,06),west
! STAIR:(44,06),down
! # The fellow in residence
! MONSTER:'&',"Yeenoghu",(35,06)
! # Some random weapons and armor.
! OBJECT:'[',random,random
! OBJECT:'[',random,random
! OBJECT:')',random,random
! OBJECT:')',random,random
! OBJECT:'*',random,random
! OBJECT:'!',random,random
! OBJECT:'!',random,random
! OBJECT:'?',random,random
! OBJECT:'?',random,random
! OBJECT:'?',random,random
! # Some traps.
! TRAP:"fire", random
! TRAP:"fire", random
! TRAP:"magic", random
! TRAP:"magic", random
! TRAP:"magic", random
! TRAP:"magic", random
! # Random monsters.
! MONSTER:'Z',"ghoul",random
! MONSTER:'Z',"ghoul",random
! MONSTER:'Z',"ghoul",random
! MONSTER:'Z',"ghoul",random
! MONSTER:'Z',"ghoul",random
! MONSTER:'Z',"ghoul",random
! MONSTER:'Z',"ghoul",random
! MONSTER:'Z',"ghoul",random
! MONSTER:'Z',"ghast",random
! MONSTER:'Z',"ghast",random
! MONSTER:'Z',"ghast",random
! MONSTER:'Z',"ghast",random
! MONSTER:'Z',"ghast",random
! MONSTER:'Z',"ghast",random
! MONSTER:'G',"gnoll",random
! MONSTER:'G',"gnoll",random
! MONSTER:'G',"gnoll",random
! MONSTER:'G',"gnoll",random
! MONSTER:'G',"gnoll",random
! MONSTER:'G',"gnoll",random
! MONSTER:'G',"gnoll",random
! MONSTER:'G',"gnoll",random
  MONSTER:'G',"gnoll",random
  MONSTER:'G',"gnoll",random
  MONSTER:'G',"gnoll",random
--- 362,797 ----
  OBJECT:random,random,random
  OBJECT:random,random,random
  OBJECT:random,random,random
+ OBJECT:random,random,random
+ OBJECT[50%]:random,random,random
  # The resident nasty
! MONSTER:'&',"Orcus",(71,04)
  # And its preferred companions
! MONSTER:'Z',"human zombie",(69,03)
! MONSTER:' ',"shade",(67,06)
! MONSTER:' ',"shade",(73,02)
! MONSTER:'V',"vampire",(73,05)
! MONSTER:'V',"vampire",(69,04)
! MONSTER:'V',"vampire lord",(70,05)
! MONSTER:'V',"vampire lord",(72,06)
! # Some loot...
! CONTAINER:'(',"chest",(71,09)
! OBJECT:'!',"amnesia",contained
! OBJECT:'?',"demonology",contained
! CONTAINER:'(',"chest",(72,09)
! OBJECT:'!',"sickness",contained
! OBJECT:'"',"amulet of strangulation",contained
! CONTAINER:'(',"chest",(73,09)
! OBJECT:'!',"blindness",contained
! OBJECT:'?',"create monster",contained
! # ...and a guardian
! MONSTER:'P',"green slime",(71,08)
! MONSTER:'P',"green slime",(73,08)
! # ...and one final trap
! TRAP:"sleep gas",(72,08)
  # Randomly placed companions
  MONSTER:'Z',"skeleton",random
  MONSTER:'Z',"skeleton",random
  MONSTER:'Z',"skeleton",random
  MONSTER:'Z',"skeleton",random
! MONSTER[66%]:'Z',"skeleton",random
! MONSTER[33%]:'Z',"skeleton",random
  MONSTER:' ',"shade",random
  MONSTER:' ',"shade",random
  MONSTER:' ',"shade",random
  MONSTER:' ',"shade",random
+ MONSTER[50%]:' ',"shade",random
  MONSTER:'Z',"giant zombie",random
  MONSTER:'Z',"giant zombie",random
  MONSTER:'Z',"giant zombie",random
+ MONSTER[50%]:'Z',"giant zombie",random
  MONSTER:'Z',"ettin zombie",random
  MONSTER:'Z',"ettin zombie",random
  MONSTER:'Z',"ettin zombie",random
+ MONSTER[50%]:'Z',"ettin zombie",random
  MONSTER:'Z',"human zombie",random
  MONSTER:'Z',"human zombie",random
  MONSTER:'Z',"human zombie",random
+ MONSTER[50%]:'Z',"human zombie",random
  MONSTER:'V',"vampire",random
  MONSTER:'V',"vampire",random
  MONSTER:'V',"vampire",random
+ MONSTER[66%]:'V',"vampire",random
+ MONSTER[33%]:'V',"vampire",random
  MONSTER:'V',"vampire lord",random
  MONSTER:'V',"vampire lord",random
+ MONSTER[50%]:'V',"vampire lord",random
  # A few more for the party
  MONSTER:random,random,random
  MONSTER:random,random,random
  MONSTER:random,random,random
! MONSTER[50%]:random,random,random
! 
  #
! # The New Asmodeus Level
  #
  MAZE:"asmodeus",random
! FLAGS: noteleport,lethe,hardfloor
  # First part
  GEOMETRY:half-left,center
  MAP
!                                           }}}}                          ----
! --------------------    -------         |}}}}--                         |..|
! |............S.....|    |.....|------   --}}}}--------------       #####+..|
! |---+-----------...|    |.....|.....|------}}}}|...........|       #    |..|
! |.....|........|-+------|.....|.....|.....F}}}}F...........|    ---+--- ----
! |..---|........|........|.....|.....|.....|}}}}|..{..{..{..|    |.....|
! |..|..S........|..........................|}.|}............+##H#S.....S#
! |..|..|........|........|.....|.....|.....|}}}}|..{..{..{..|    |.....|
! |..|..|........|-+------|.....|.....|.....F}}}}F...........|    ---+---
! |..|..-----S----...|    |.....|.....|------}}}}|...........|       H
! |..S.....|...|.....|    |.....|------    |}}}}--------------       H
! ---------|...|------    -------         --}}}}|  --------          H
!          |...|            ###           |}}}}----|......|          #
!          |...|              #  ###       }}}}| |.+......+###########
!      -----+++-----    ####  #  #         }}}}  |.+......+###########
!      |...........|    #     ######  ----  }}}} --|......|          #
!      |...........S#####     #    #  |..|  }}}}   --------       ---+---
!      |...........|    #     #    ###+..|   }}}}                 |.....|
!      |.....\.....|    #######       |..|   }}}}                 |.....|
!      -------------                  ----  }}}}                  -------
! ENDMAP
! STAIR:(65,17),up
! STAIR:(11,16),down
! BRANCH:(73,01,74,03),(00,00,00,00)
! TELEPORT_REGION:(60,12,65,14),(00,00,00,00)
  # Doors
! DOOR:locked,(67,16)
! DOOR:locked,(56,14)
! DOOR:locked,(56,13)
! DOOR:locked,(49,14)
! DOOR:locked,(49,13)
! DOOR:locked,(67,08)
! DOOR:locked,(67,04)
! DOOR:locked,(72,02)
! DOOR:locked,(64,06)
! DOOR:locked,(70,06)
! DOOR:locked,(17,08)
! DOOR:locked,(17,04)
! DOOR:locked,(13,02)
! DOOR:locked,(04,03)
! DOOR:locked,(03,10)
! DOOR:locked,(06,06)
! DOOR:locked,(11,09)
! DOOR:closed,(10,14)
! DOOR:closed,(11,14)
! DOOR:closed,(12,14)
! DOOR:locked,(17,16)
! DOOR:locked,(36,17)
! # Drawbridges
! DRAWBRIDGE:(46,06),west,closed
! DRAWBRIDGE:(43,06),west,closed
  # Non diggable walls
! NON_DIGGABLE:(00,00,75,19)
! # Regions of light and dark
! REGION:(00,00,75,19),unlit,"ordinary"
! REGION:(25,02,29,05),unlit,"lemurepit"
! REGION:(31,03,35,05),unlit,"lemurepit"
! REGION:(37,04,41,05),unlit,"lemurepit"
! REGION:(37,07,41,08),unlit,"lemurepit"
! REGION:(31,07,35,09),unlit,"lemurepit"
! REGION:(25,07,29,10),unlit,"lemurepit"
! REGION:(48,03,58,09),lit,"ordinary"
! REGION:(06,15,16,18),lit,"ordinary"
  # The fellow in residence
! MONSTER:'&',"Asmodeus",(11,16)
! # His close friends
! MONSTER:'&',"marilith",(08,16),asleep
! MONSTER:'&',"marilith",(09,17),asleep
! MONSTER:'&',"succubus",(14,16),asleep
! MONSTER:'&',"succubus",(13,17),asleep
! MONSTER:'&',"incubus",(11,18),asleep
! MONSTER:'&',"barbed devil",(10,13),asleep
! MONSTER:'&',"barbed devil",(12,13),asleep
! # A few traps on the way in
! TRAP:"board",(10,12)
! TRAP:"board",(11,12)
! TRAP:"board",(12,12)
! TRAP:"fire",(11,11)
! TRAP:"fire",(10,10)
! TRAP:"fire",(12,10)
! # The 'fake' throne room
! MONSTER:'&',random,(07,04)
! MONSTER:'&',random,(14,04)
! MONSTER:'&',random,(07,08)
! MONSTER:'&',random,(14,08)
! OBJECT:'!',"invisibility",(07,04)
! OBJECT:'!',"invisibility",(14,04)
! OBJECT:'!',"invisibility",(07,08)
! OBJECT:'!',"invisibility",(14,08)
! MONSTER:'m',"giant mimic", (11,06), m_feature "staircase down"
! TRAP:"magic",(09,06)
! TRAP:"magic",(13,06)
! TRAP:"magic",(11,05)
! TRAP:"magic",(11,07)
  # Some random weapons and armor.
  OBJECT:'[',random,random
  OBJECT:'[',random,random
+ OBJECT:'[',random,random
+ OBJECT:'[',random,random
+ OBJECT:')',random,random
+ OBJECT:')',random,random
  OBJECT:')',random,random
  OBJECT:')',random,random
  OBJECT:'!',random,random
  OBJECT:'!',random,random
  OBJECT:'?',random,random
  OBJECT:'?',random,random
  OBJECT:'?',random,random
! # Traps in the outer chambers
! TRAP:"spiked pit",(02,08)
! TRAP:"anti magic",(21,06)
! TRAP:"sleep gas",(19,05)
! TRAP:"fire",(56,06)
! TRAP:"rust",(53,06)
! TRAP:"spiked pit",(50,03)
! TRAP:"polymorph",(69,02)
! # Teleport scrolls are kept in a closet
! OBJECT:'?',"teleportation",(63,06)
! # Traps in the inner spiral
! TRAP:"magic",(22,14)
! TRAP:"anti magic",(26,18)
! TRAP:"fire",(28,13)
! TRAP:"spiked pit",(32,13)
! # Treasure room
! GOLD:500,(38,16)
! GOLD:500,(38,17)
! GOLD:500,(38,18)
! OBJECT:'"',"amulet of change",(37,16)
! OBJECT:'=',"hunger",(37,18),cursed,0
! OBJECT:'*',"diamond",(38,16),cursed,0,"The Tears of Koth"
! OBJECT:'*',"ruby",(38,17),cursed,0,"The Heart of Cassanova"
! OBJECT:'*',"emerald",(38,18),cursed,0,"The Eye of Hera"
! MONSTER:'&',random,(38,16)
! MONSTER:'&',random,(38,17)
! MONSTER:'&',random,(38,18)
! # Outer Trap Room
! GOLD:1,(48,13)
! GOLD:1,(48,14)
! OBJECT:'?',"fire",(48,13),cursed,0
! OBJECT:'?',"earth",(48,14),cursed,0
! TRAP:"magic",(48,13)
! TRAP:"land mine",(48,14)
! GOLD:1,(51,12)
! GOLD:1,(50,14)
! GOLD:1,(52,15)
! GOLD:1,(53,13)
! TRAP:"fire",(54,13)
! TRAP:"fire",(54,14)
! TRAP:"magic",(52,12)
! TRAP:"magic",(52,15)
! TRAP:"spiked pit",(51,13)
! TRAP:"anti magic",(50,14)
! OBJECT:'!',"polymorph",(50,13)
! OBJECT:'?',"demonology",(50,12),cursed,0
! OBJECT:'?',"elementalism",(50,12),cursed,0
! # Guardians in the fountain room
! MONSTER:'&',random,(49,04)
! MONSTER:'&',random,(49,08)
! MONSTER:'&',random,(52,04)
! MONSTER:'&',random,(52,08)
! MONSTER:'V',random,(55,04)
! MONSTER:'V',random,(55,08)
! # Guardians in the outer chamber
! MONSTER:'d',"hell hound",(67,06)
! MONSTER:'d',"hell hound",(69,06)
! MONSTER:'d',"hell hound",(68,05)
! MONSTER:'d',"hell hound",(68,07)
! # Guardian in the branch chamber
! MONSTER:'j',"blue jelly",(73,02)
! # Greeting in the outer chamber
! MONSTER:'i',"imp",(69,17)
! OBJECT:'[',"helm of opposite alignment",(65,17),cursed,-2
! OBJECT:'*',"loadstone",(65,18),cursed,0
! OBJECT:'"',"amulet of strangulation",(65,18),cursed,0
  
  #
! # The New Baalzebub level
  #
  MAZE:"baalz",random
! FLAGS: noteleport,lethe,hardfloor
! GEOMETRY:center,center
  MAP
!       }}   }}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}                  
!   ..}}...} ...}}....}}}}.....}}...}}.}..}.}.}....}}.}  }}.}}...    .....    
!  .}}..}}}..}}}...}}}....}}.F...}}}..}.}}.}.}..F.}..}.}}}...  }}. #.......   
!  }..  }}}}}}}}.F.}}}}}}}}FFF}}}}}}}}}}}}}}}FFFF}}}}.}....}}.}... # ......   
!  .}}}}}}}}}}}}}FFFF}}}}}}F}}}------------}}F}}}}}}}}.}}.}..... }.#          
!   .}}}FFFFFF}}}}}}F}}--------|..........|FFF}}}}}}}}}}.....}}}...  .}...    
!  .}}}}F....F}}-------|...........--------------}}}}}}}}}}.....  }... .}.}   
!  }.}---....|--|..................S............|----}}}}}...}.} ...}......   
!  ..}|...--....S..----------------|..........\.S...|}}}}}}}.....}}...  }..}  
!  .}}---....|--|..................|............|----}}}}}}}}}.....}}.....}.  
!   .}}}F....F}}-------|...........-----S--------}}}}}}}}}.....}}.....} }..   
!  .}.}}FFFFFF}}}}}}F}}--------|..........|FFF}}}}}}}}  }....}..}}..  ....}}  
!  }.}.}}}}}}}}}}FFFF}}}}}F}}}}------------}}F}}}}}}}   ..}}...}...}... }.    
!  }}.}.}}}}}}}}.F.}}}}}}}FFF}}}}}}}}}}}}}}}}FFFF}}... }...}.....}}.}} ...}   
!   .  }..}}}}}}...}}}}}}}}.F.}}}}}....}}}}}}}}.F....}...}...}....}...} ...}  
!  }}. . ..}}}}}}}.}}}}...}...}}...}}....}}}}}}...}}..}....}...}...}}...}     
!  }..}.}.}..  .}.}.}...}..}}...}}...}}}...}}...}.....}.}..}...}}..}  .}..    
!  }}..}.}.}.. }.}.}.}..}.}.}}....}}}...}}}....}}...}}......}}... .}} .....   
!    }}.}}..}}..}}}...}...}}....}}}}}}}}....}}......}....}}}..}}.}......      
!       }}}   }}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}    }}}          
! ENDMAP
! # Regions
! REGION:(00,00,75,19),unlit,"ordinary"
! REGION:(68,01,72,03),lit,"ordinary"
! # Stairs
! STAIR:(69,02),up
! STAIR:(48,08),down
! BRANCH:(16,15,75,19),(00,00,00,00)
! TELEPORT_REGION:(16,15,75,19),(00,00,00,00)
! # Non diggable walls
! NON_DIGGABLE:(00,00,75,19)
! # Doors
! DOOR:locked,(14,08)
! DOOR:locked,(38,10)
! DOOR:locked,(33,07)
! DOOR:locked,(46,08)
! # Drawbridges
! DRAWBRIDGE:(03,08),east,closed
  # The fellow in residence
! MONSTER:'&',"Baalzebub",(44,08)
  # Some random weapons and armor.
  OBJECT:'[',random,random
  OBJECT:'[',random,random
+ OBJECT:'[',random,random
+ OBJECT:'[',random,random
+ OBJECT:')',random,random
+ OBJECT:')',random,random
  OBJECT:')',random,random
  OBJECT:')',random,random
  OBJECT:'*',random,random
+ OBJECT:'*',random,random
+ OBJECT:'*',random,random
+ OBJECT:'!',random,random
+ OBJECT:'!',random,random
  OBJECT:'!',random,random
  OBJECT:'!',random,random
  OBJECT:'?',random,random
  OBJECT:'?',random,random
  OBJECT:'?',random,random
+ OBJECT:'?',random,random
+ OBJECT:'?',random,random
  # Some traps.
  TRAP:"spiked pit", random
+ TRAP:"spiked pit", random
+ TRAP:"fire", random
  TRAP:"fire", random
  TRAP:"sleep gas", random
+ TRAP:"sleep gas", random
  TRAP:"anti magic", random
! TRAP:"anti magic", random
! TRAP:"rust", random
! TRAP:"rust", random
! TRAP:"rust", random
! TRAP:"magic", random
! TRAP:"magic", random
  TRAP:"magic", random
  TRAP:"magic", random
  # Random monsters.
! MONSTER:' ',"ghost",(39,08)
! MONSTER:'&',"horned devil",(29,06)
! MONSTER:'&',"barbed devil",(29,10)
  MONSTER:'L',random,random
+ MONSTER:' ',"ghost",random
+ MONSTER:' ',"ghost",random
+ MONSTER:' ',"shade",random
+ MONSTER[50%]:' ',"shade",random
+ MONSTER:'&',random,random
+ MONSTER:'&',random,random
+ MONSTER:'&',"horned devil",random
+ MONSTER:'&',"horned devil",random
+ MONSTER:'&',"horned devil",random
+ MONSTER[50%]:'&',"horned devil",random
+ MONSTER:'i',"lemure",random
+ MONSTER:'i',"lemure",random
+ MONSTER:'i',"lemure",random
+ MONSTER:'i',"lemure",random
+ MONSTER[50%]:'i',"lemure",random
  # Some Vampires for good measure
  MONSTER:'V',random,random
  MONSTER:'V',random,random
  MONSTER:'V',random,random
+ # And a few blobby things, borrowed from Big J.
+ MONSTER:'F',random,random
+ MONSTER:'F',random,random
+ MONSTER:'F',random,random
+ MONSTER:'P',"green slime",random
+ MONSTER:'P',random,random
+ MONSTER:'P',random,random
+ MONSTER[50%]:'P',random,random
  
! #
  # The Yeenoghu level
  #
+ # Based upon Tom Proudfoots Slash'Em Yeenoghu level
+ #
+ # Yeenoghu is the demon lord of the Gnolls, a secretive, silent
+ # race of mountain dwelling creatures.
+ #
  MAZE:"yeenoghu",random
! FLAGS: noteleport,hardfloor,lethe
! GEOMETRY:center,center
  MAP
!        }}}}       .....  ..    ----------- ------------               ...
!   ....  }}}}    ...   H ....  .|....|....| |......S...-------------- ..}...
!  ......  }}}}   H   .H......H..|....|....| |FFFFFF|...S..........+.|  ... .
!   ....  }}}}   ...H..  .....   |....|S--S---..........|...--------------  .
!    . H }}}}  .....      ...  ---....|..F.......{......|S--|............|--S-
!    H ..}}}}H......H..    ..H........|..F......{.{.....F...+.........\..S...|
!  ...   }}}}  ....   ...      ---....|..F.......{......|---|............|----
! ......  }}}}        .....  ..H.|....|---S---..........|...--------------  .
! .......F}}}}   ..    ...  ... .|....|....| |FFFFFF|...S..........+.| .. ...
!  ......FFFFF.....H..     ....H.|....S....| |......S...--------------  ......
!   ..   }}}}F.  .. .....H.. ..  ----------- ------------...   .... ..H.. ..
!    .  }}}}  ..  . ...    H  ..     .....     ...H.....H. H .H.  ...   H  .H.
!    H   }}}}  .  .  .  .H..   .H.    .....   ...          ...   ...  ...    .
!    ..   }}}}  H H    .. ...    ...  ...... .....H. .H........   H  .....  ..
!  .....   }}}} .... .H.  ....  .. .H....... H ..  ... ...... .H. ..H....  ...
!   ....H..}.}.H...... ..  ...  H     ......H.    ..    ....    ...     .H...
!  ....   }.}.   ....   .. ...H...     ..... .H......  ......H.H.....     ..
!        }}}}            .H..    .....H...      ...     ....     ...
! ENDMAP
! #
! # Regions
! REGION:(00,00,67,17),unlit,"ordinary"
! REGION:(68,00,75,17),unlit,"ordinary"
! REGION:(59,04,70,06),lit,"ordinary"
! 
! # Branch and teleport points
! BRANCH:(00,11,75,17),(00,00,00,00)
! TELEPORT_REGION:(00,11,75,17),(00,00,00,00)
! 
! # Protect the walls
! NON_DIGGABLE:(00,00,75,17)
! 
! # Stairs up and down
! STAIR:(69,13),up
! STAIR:(73,05),down
! 
! # Doors
! DOOR:locked,(36,09)
! DOOR:locked,(37,03)
! DOOR:locked,(40,03)
! DOOR:locked,(40,07)
! DOOR:locked,(50,01)
! DOOR:locked,(50,09)
! DOOR:locked,(54,08)
! DOOR:locked,(54,02)
! DOOR:locked,(55,04)
! DOOR:locked,(58,05)
! DOOR:locked,(65,02)
! DOOR:locked,(65,08)
! DOOR:locked,(71,05)
! DOOR:locked,(74,04)
! 
! # A few random citizens
  MONSTER:'G',"gnoll",random
  MONSTER:'G',"gnoll",random
  MONSTER:'G',"gnoll",random
